"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const react_1 = require("react");
function usePrevious(value) {
    const latest = (0, react_1.useRef)(value);
    const previous = (0, react_1.useRef)();
    if (latest.current !== value) {
        previous.current = latest.current;
    }
    latest.current = value;
    return previous.current;
}
exports.default = usePrevious;
